Change billing cycle for a VPS

Change how often you are billed for your virtual server (VPS). You can choose between annual or monthly billing. The change affects future invoices.

VPS Services VM

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
cycle string · enum required · Example: a
a
m

Responses

200
data object required
data.info array<string> required · Example: ["Account #9557 changes saved"]
data.message string required · Example: Billing cycle changed successfully

Human-readable message.

data.newCycle string · enum required · Example: Annually
Annually
Monthly
data.success boolean required · Example: true

True for successful responses.

data.total string · enum required · Example: 55.30
374.00
39.00
4.49
43.01
55.30
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

500
code string required · Example: INTERNAL_ERROR

Machine-readable error code.

error string required · Example: Internal Server Error

HTTP status title (e.g. 'Bad Request').

message string required · Example: Kunde inte uppdatera faktureringsperioden. Priset gick inte att uppdatera och ändringen...

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/vm/{vmid}/billing-cycle
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/vm/10000/billing-cycle" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "cycle": "a"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "message": "Billing cycle changed successfully",
    "newCycle": "Annually",
    "total": "55.30",
    "info": [
      "Account #9557 changes saved"
    ]
  }
}
Request Body Example 1
{
  "cycle": "a"
}